Autoupdates mislearret op WordPress? FTP mislearret?

WordPressKoartlyn hienen wy in kliïnt dy't har eigen servers konfigureare foar gebrûk mei WordPress. Doe't de resinte 3.04 feiligens update kaam troch, d'r wie wat gefoel fan urginsje om dizze ferzje op al ús kliïnten te ynstallearjen. Dizze bysûndere kliïnt easke lykwols altyd dat wy WordPress manuell opwurdearje ... in proses net foar swakke herten!

Wy soene it typyske "kin gjin bestannen skriuwe”Flater op dit blog. Ynstee krigen wy in skerm mei FTP-oanmelding. It probleem wie dat wy de FTP-referinsjes ynfolje soene noch fail... dizze kear basearre op goede referinsjes!

Ik kaam yn kontakt mei ús freonen by Lifeline Data Centers, Indiana's grutste datasintrum, om't se wat Apache-geeks hawwe en har eigen servers hawwe konfigureare. Se joegen my in ienfâldige oplossing - de FTP-referinsjes direkt tafoegje binnen de wp-config.php bestân om de FTP-referinsjes hurd te kodearjen:

definiearje ('FTP_HOST', 'localhost'); definiearje ('FTP_USER', 'brûkersnamme'); definiearje ('FTP_PASS', 'wachtwurd');

Foar guon reden wurken de identike referinsjes dy't net yn 'e foarm wurken, perfekt as se yn it konfiguraasjetriem waarden pleatst! Likegoed makket it dat WordPress krekt docht lykas sûnder FTP nedich is .... klikje gewoan op update en gean!

4 Comments

  1. 1

    Ik ûnderfûn WordPress automatyske bywurkingsflaters nei it opbouwen fan myn server en it spinnen fan in nije WordPress-ynstallaasje. Myn probleem ûntstie út Firefox, net WordPress - oaren kinne itselde probleem ûnderfine as har FTP-brûkersnamme en WordPress-brûkersnamme itselde binne as mines (hoewol mei ferskillende haadletters en wachtwurden).

    It probleem is dat Firefox, as jo "wachtwurden ûnthâlde" ynskeakele hawwe, de brûker/passaazje yn it formulier automatysk korrigearje sil nei wat it tinkt dat it moat wurde basearre op wat is opslein yn 'e wachtwurdbehearder. Yn myn gefal waarden myn WordPress-credentials bewarre, mar myn FTP-credentials wiene net, om't se kinne wurde brûkt om SSH yn 'e side. Minsken yn dizze situaasje kinne "ûnthâld wachtwurden" tydlik útskeakelje yn har foarkarren / opsjes as se besykje WordPress auto-update te brûken of in stikje koade tapasse op WordPress om dit gedrach te korrigearjen.

  2. 2

    Doug,

    Ik hie itselde probleem mei in hûsbou fan Apache. It docht bliken dat it in gefolch wie fan ferkearde tagongsrjochten en eigendom op bepaalde bestannen en mappen.

    http://robspencer.net/auto-update-wordpress-without-ftp/

    De kepling hjirboppe joech ynsjoch yn hoe't jo it probleem kinne korrigearje sûnder ftp-referinsjes te brûken. Fansels ried ik net oan dat jo jo hiele brûkersmap nei 775 chown (en ik die net), mar dit liedt my yn 'e goede rjochting.

    adam

  3. 3

    Foar oaren op syk nei mooglike oplossingen: In oare blogger hat syn auto-fernijingsproblemen oplost troch syn host blykber te twingen om php5 te brûken troch it folgjende ta te foegjen oan syn .httaccess-bestân:

    AddType x-mapp-php5 .php

  4. 4

    Tankewol foar it dielen fan de kennis, ik haw problemen mei autoupdates ûnderfûn, mar de ienige oplossing dy't ik fûn haw is om de plugins te deaktivearjen, dan WordPress automatysk bywurkje en úteinlik alle plugins reaktivearje.

    Dizze tip is foar in oar probleem, mar it is goed om te witten hoe it op te lossen.

    Groetnis út Meksiko!

Wat tinksto?

Dizze side brûkt Akismet om spam te ferleegjen. Learje hoe't jo kommentaargegevens ferwurke wurde.